Bug 150893 (IT_71107) - On few Nocona based platforms, acpi-cpufreq driver assumes the wrong CPU freq at boot time
Summary: On few Nocona based platforms, acpi-cpufreq driver assumes the wrong CPU freq...
Status: CLOSED ERRATA
Alias: IT_71107
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Geoff Gustafson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-03-11 19:07 UTC by Venkatesh Pallipadi
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 18:47:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (1.18 KB, patch)
2005-03-11 19:09 UTC, Venkatesh Pallipadi
no flags Details | Diff
Updated patch (1.24 KB, text/plain)
2005-06-24 15:39 UTC, Geoff Gustafson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Venkatesh Pallipadi 2005-03-11 19:07:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:

This bug was uncovered on a Nocona based platform, that supports Enhanced 
Speedstep (EST), has 3 possible frequencies (3.6, 3.2 and 2.8 GHz). But, at 
the boot time system comes up with 2.8 GHz. In this case, acpi-cpufreq wrongly 
assumes that CPU is running at maximum (3.6 GHz) speed. And when there are no 
cpufreq governors running (either userspace or ondemand), the CPUs keep 
running at the lowest freq, while OS reports that it is running at the highest 
freq.

Attached patch fixes the issue. A similar patch has also been sent to upstream 
base kernel.


Version-Release number of selected component (if applicable):
2.6.9-5

How reproducible:
Always

Steps to Reproduce:
1. Enable GV3 in BIOS
2. Disable cpufreq daemon
3. Reboot the system


  

Actual Results:  On this particular system, it is running at 2.8 GHz, but kernel reports 3.6 under sysfs

Expected Results:  Kernel should report 2.8 GHz

Additional info:

Comment 1 Venkatesh Pallipadi 2005-03-11 19:09:15 UTC
Created attachment 111901 [details]
Patch

This bug is there in both i386 and x86-64 kernels. 
Attached patch fixes the bug in both kernels.

Comment 5 Geoff Gustafson 2005-06-24 15:39:51 UTC
Created attachment 115937 [details]
Updated patch

The wrong version of the patch was posted, this one is correct.

Comment 8 Geoff Gustafson 2005-10-11 21:01:17 UTC
I will reverify with the latest code and post it for inclusion in U3.


Comment 16 Red Hat Bugzilla 2006-03-07 18:47:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.